[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Summary - Broken dependencies in Fedora Extras - 2007-04-19



Jeremy Katz wrote:
On Thu, 2007-04-19 at 11:42 +0200, Jindrich Novy wrote:
On Thu, 2007-04-19 at 07:10 +0000, Fedora Extras repoclosure wrote:
package: uqm - 0.6.2-1.fc7.i386 from fedora-extras-development-i386
unresolved deps: libmikmod.so.2
these packages need to be rebuilt because of the recent update of mikmod
(increased libmikmod soname):

Updating mikmod (and to a beta, not even a full release!) after the
feature freeze seems like a bad idea.  What's the compelling reason that
we shouldn't revert this change?


I was wondering the exact same thing, next time can we please do things like this via rel-eng ?? and perhaps just revert this now?

Especially since from the list of affected packages:
uqm
xmms
stratagus
tecnoballz
gweled
ClanLib
ClanLib06
fbg
methane

Quite a few are mine:
ClanLib
ClanLib06
fbg
methane

And I'm also quite involved in the maintainance of:
stratagus
tecnoballz

Involved as in, when there is a problem at the c-programming level I'm the one who gets to fix not. ( Nothing wrong with that BTW, everybody should do what he/she is good in ).

Also ClanLib and ClanLib06 are both as the name say libs, although I think that all packages using mikmod through clanlib are already in the above list, I'm far from sure and will need to verify this too.

In short, its way to late in the release cycle now to check that this upgrade doesn't break anything, so please revert it. Then we can do this early in the next cycle.

Regards,

Hans

p.s.

Also I believe for some reason the list is incomplete, I'm pretty sure that audacious has a mikmod plugin too for example.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]